#
%define versiondir 43
%define ftpserver ftp.scientificlinux.org
%define ftpdir /linux/scientific/
%define aptdir apt 
Summary: A /etc/apt/sources.list.d file that points to ftp://%{ftpserver}/%{ftpdir}/%{versiondir}/%{_arch}/%{aptdir} 
Name: apt-sourceslist
Version: %{versiondir}
Release: 1.SL
Copyright: GPL
Group: Scientific Linux
URL: http://www.scientificlinux.org/
Vendor: Scientific Linux
Packager: Connie Sieh
requires: apt
%description

Provides a /etc/apt/sources.list file that points to the ftp://%{ftpserver}/%{ftpdir}/%{versiondir}/%{_arch}/%{aptdir} area.

%files
%post
# This modifies /etc/apt/sources.list.d/sl.list to add ftp://%{ftpserver}/%{ftpdir}/%{versiondir}/%{_arch}/%{aptdir} or creates it if it does not exist and then fixes it up
#
if [ ! -f /etc/apt/sources.list.d/sl.list ] ; then
        touch /etc/apt/sources.list.d/sl.list	
fi
#If it finds it someplace we assume that they want their file left alone
grep -q "rpm ftp://%{ftpserver}" /etc/apt/sources.list.d/sl.list
if [ $? -eq 1 ] ; then
	echo "#apt-rpm pointing to SL" >> /etc/apt/sources.list.d/sl.list.tmp
	echo "rpm ftp://%{ftpserver}/%{ftpdir} %{versiondir}/%{_arch}/%{aptdir} os updates contrib " >> /etc/apt/sources.list.d/sl.list.tmp
	echo "#rpm ftp://%{ftpserver}/%{ftpdir} %{versiondir}/%{_arch}/%{aptdir} contrib" >> /etc/apt/sources.list.d/sl.list.tmp
fi
if [ -f /etc/apt/sources.list.d/sl.list.tmp ] ; then
	mv -f /etc/apt/sources.list.d/sl.list.tmp /etc/apt/sources.list.d/sl.list
fi

%postun
if [ "$1" = "0" ] ; then
#
  if [ -f /etc/apt/sources.list.d/sl.list ] ; then
	rm /etc/apt/sources.list.d/sl.list
  fi
fi
